/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gtk;
import org.gnu.glib.Boxed;
/**
 * A read only store of text attributes as returned by {@link
 * TextIter#getAttributes(TextAttributes)}.
 */
public class TextAttributes extends Boxed 
{
	/**
	 */
	protected TextAttributes (int handle){
		this.handle = handle;
	}

	/**
	 */
	public TextAppearance getAppearance(){
		return new TextAppearance( getAppearance(handle) );
	}

	/**
	 */
	public Justification getJustification(){
		return Justification.intern( getJustification(handle) );
	}

	/**
	 */
	public TextDirection getDirection(){
		return TextDirection.intern( getDirection(handle) );
	}

	/**
	 */
	public org.gnu.pango.FontDescription getFontDescription(){
		return new org.gnu.pango.FontDescription( getFont(handle) );
	}

	/**
	 */
	public double getFontScale(){
		return getFontScale(handle);
	}

	/**
	 */
	public int getLeftMargin(){
		return getLeftMargin(handle);
	}

	/**
	 */
	public int getIndent(){
		return getIndent(handle);
	}

	/**
	 */
	public int getRightMargin(){
		return getRightMargin(handle);
	}

	/**
	 */
	public int getPixelsAboveLines(){
		return getPixelsAboveLines(handle);
	}

	/**
	 */
	public int getPixelsBelowLines(){
		return getPixelsBelowLines(handle);
	}

	/**
	 */
	public int getPixelsInsideWrap(){
		return getPixelsInsideWrap(handle);
	}

	/**
	 */
	public org.gnu.pango.TabArray getTabArray(){
		return new org.gnu.pango.TabArray( getTabs(handle) );
	}

	/**
	 */
	public WrapMode getWrapMode(){
		return WrapMode.intern( getWrapMode(handle) );
	}

	/**
	 */
	public org.gnu.pango.Language getLanguage(){
		return new org.gnu.pango.Language( getLanguage(handle) );
	}

	/**
	 */
	public boolean getInvisible(){
		return getInvisible(handle);
	}

	/**
	 */
	public boolean getBgFullHeight(){
		return getBgFullHeight(handle);
	}

	/**
	 */
	public boolean getEditable(){
		return getEditable(handle);
	}

	/**
	 */
	public boolean getRealized(){
		return getRealized(handle);
	}
    /****************************************
     * BEGINNING OF GENERATED CODE
     ****************************************/
    native static final protected int getAppearance (int cptr);
    native static final protected int getJustification (int cptr);
    native static final protected int getDirection (int cptr);
    native static final protected int getFont (int cptr);
    native static final protected double getFontScale (int cptr);
    native static final protected int getLeftMargin (int cptr);
    native static final protected int getIndent (int cptr);
    native static final protected int getRightMargin (int cptr);
    native static final protected int getPixelsAboveLines (int cptr);
    native static final protected int getPixelsBelowLines (int cptr);
    native static final protected int getPixelsInsideWrap (int cptr);
    native static final protected int getTabs (int cptr);
    native static final protected int getWrapMode (int cptr);
    native static final protected int getLanguage (int cptr);
    native static final protected boolean getInvisible (int cptr);
    native static final protected boolean getBgFullHeight (int cptr);
    native static final protected boolean getEditable (int cptr);
    native static final protected boolean getRealized (int cptr);
    native static final protected boolean getPad1 (int cptr);
    native static final protected boolean getPad2 (int cptr);
    native static final protected boolean getPad3 (int cptr);
    native static final protected boolean getPad4 (int cptr);
    native static final protected int gtk_text_attributes_new ();
    native static final protected int gtk_text_attributes_copy (int src);
    native static final protected void gtk_text_attributes_copy_values (int src, int dest);
    native static final protected void gtk_text_attributes_unref (int values);
    native static final protected void gtk_text_attributes_ref (int values);
    /****************************************
     * END OF GENERATED CODE
     ****************************************/
}

